Bug 257282 - AssertionError at com.sun.tools.javac.util.Assert.error
AssertionError at com.sun.tools.javac.util.Assert.error
Status: RESOLVED FIXED
Product: java
Classification: Unclassified
Component: Compiler
8.2
All All
: P1 (vote)
: Dev
Assigned To: Dusan Balek
issues@java
EXCEPTIONS_REPORT
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-24 08:53 UTC by mps77
Modified: 2017-05-04 01:47 UTC (History)
30 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (8.64 KB, text/plain)
2015-12-24 08:53 UTC, mps77
Details
stacktrace (5.10 KB, text/plain)
2016-03-27 09:29 UTC, Jan Lahoda
Details
stacktrace (5.10 KB, text/plain)
2016-04-24 11:51 UTC, Vladimir Voskresensky
Details
stacktrace (5.10 KB, text/plain)
2016-06-20 09:33 UTC, alainvitry
Details
stacktrace (5.26 KB, text/plain)
2016-07-05 07:18 UTC, IrianR
Details
IDE log - commenting some Java code (402.68 KB, text/plain)
2016-08-20 18:18 UTC, zmirc
Details
stacktrace (5.10 KB, text/plain)
2016-09-02 05:33 UTC, nleck
Details
stacktrace (5.10 KB, text/plain)
2016-09-02 05:36 UTC, nleck
Details
stacktrace (5.10 KB, text/plain)
2016-09-02 05:39 UTC, nleck
Details
stacktrace (7.86 KB, text/plain)
2016-10-07 07:52 UTC, Alexander Simon
Details
stacktrace (7.86 KB, text/plain)
2016-10-07 11:40 UTC, Alexander Simon
Details
stacktrace (5.10 KB, text/plain)
2016-10-31 18:07 UTC, javydreamercsw
Details
stacktrace (5.41 KB, text/plain)
2016-11-30 06:33 UTC, Vladimir Voskresensky
Details
stacktrace (5.41 KB, text/plain)
2016-11-30 06:36 UTC, Vladimir Voskresensky
Details

Note You need to log in before you can comment on or make changes to this bug.
Description mps77 2015-12-24 08:53:13 UTC
Build: NetBeans IDE Dev (Build 201512130002)
VM: Java HotSpot(TM) Client VM, 25.72-b05, Java(TM) SE Runtime Environment, 1.8.0_72-ea-b05
OS: Windows 7

User Comments:
mps77: type break statement into editor window in while body at my sofa




Stacktrace: 
java.lang.AssertionError
   at com.sun.tools.javac.util.Assert.error(Assert.java:155)
   at com.sun.tools.javac.util.Assert.check(Assert.java:46)
   at com.sun.tools.javac.comp.Flow$AliveAnalyzer.visitMethodDef(Flow.java:546)
   at com.sun.tools.javac.tree.JCTree$JCMethodDecl.accept(JCTree.java:842)
   at com.sun.tools.javac.tree.TreeScanner.scan(TreeScanner.java:49)
   at com.sun.tools.javac.comp.Flow$BaseAnalyzer.scan(Flow.java:424)
Comment 1 mps77 2015-12-24 08:53:15 UTC
Created attachment 157913 [details]
stacktrace
Comment 2 Jan Lahoda 2016-03-27 09:29:32 UTC
Created attachment 159014 [details]
stacktrace

Code:
package javaapplication286;

public class JavaApplication286 {

    public static void main(String[] args) {
        if (args.length == 0) {
            if (args.length == 0) continue;
        }
    }

}
Comment 3 Vladimir Voskresensky 2016-04-24 11:51:00 UTC
Created attachment 159415 [details]
stacktrace

external file modification
Comment 4 alainvitry 2016-06-20 09:33:24 UTC
Created attachment 160098 [details]
stacktrace

Error occurred while navigating to memeber function implementation through keyboard shortcut.
Comment 5 IrianR 2016-07-05 07:18:45 UTC
Created attachment 160259 [details]
stacktrace

Just returned from morning break and found this exception waiting.
Comment 6 zmirc 2016-08-20 18:18:02 UTC
Created attachment 161730 [details]
IDE log - commenting some Java code
Comment 7 nleck 2016-09-02 05:33:34 UTC
Created attachment 161869 [details]
stacktrace

typing code.
Comment 8 nleck 2016-09-02 05:36:34 UTC
Created attachment 161870 [details]
stacktrace

typing
Comment 9 nleck 2016-09-02 05:39:34 UTC
Created attachment 161871 [details]
stacktrace

compiling
Comment 10 Alexander Simon 2016-10-07 07:52:24 UTC
Created attachment 162384 [details]
stacktrace

edit class, after copy-paste while loop
Comment 11 Alexander Simon 2016-10-07 11:40:24 UTC
Created attachment 162391 [details]
stacktrace

edit class
Comment 12 javydreamercsw 2016-10-31 18:07:27 UTC
Created attachment 162704 [details]
stacktrace

Not sure what triggered it after copy and paste of code.
Comment 13 Vladimir Voskresensky 2016-11-30 06:33:05 UTC
Created attachment 163093 [details]
stacktrace

opened IDE with modules which have compiler errors
Comment 14 Vladimir Voskresensky 2016-11-30 06:33:28 UTC
happens every second on my not-yet compilable module
Comment 15 Vladimir Voskresensky 2016-11-30 06:36:05 UTC
Created attachment 163094 [details]
stacktrace

occurs every second
Comment 17 Quality Engineering 2017-05-04 01:47:14 UTC
Integrated into 'main-silver', will be available in build *201705040001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/a9e4c7d22c19
User: Dusan Balek <dbalek@netbeans.org>
Log: Issues #239183 and #257282 fixed.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo